package("ylt")
    set_kind("library", {headeronly = true})
    set_urls("https://github.com/alibaba/yalantinglibs.git")
    add_includedirs("include")
    on_install(function (package)
        os.cp("include", package:installdir())
    end)
-- target("ylt_struct_pack")
--     set_kind("binary")
--     add_packages("ylt")
--     add_includedirs("include")
--     add_headerfiles("include/*.h")
--     add_files("test/struct_pack.cpp")

target("ylt_vertex_wrap")
    set_kind("binary")
    add_packages("ylt")
    add_includedirs("include")
    add_headerfiles("include/*.h")
    add_files("test/vertex_wrap.cpp")